Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.contact
Interface PostalCode

All Known Implementing Classes:
  PostalCodeImpl

public interface PostalCode
extends Belonging

A string used to expedite delivery of an item via the mail. It includes a qualifier to identify a specific format. The default is a U.S. Zip Code.

                      code
     [PostalCode] <*>------> [String]

                      postalCodeType
     [PostalCode] <*>------> [String]

See Also:
  `PostalCodeHome`, `PostalCodeImpl`

Method Summary
`java.lang.String` | `getCode()` Get the value of code
`java.lang.String` | `getPostalCodeType()` Get the value of postalCodeType
`java.lang.String` | `location()` Return a string the represents the location associated with the code.
`void` | `setCode(java.lang.String code)` Set the value of code
`void` | `setLocation(java.lang.String location)` Set the code based on the location.
`void` | `setPostalCodeType(java.lang.String postalCodeType)` Set the value of postalCodeType

Methods inherited from interface theory.smart.foundation.Belonging
`equals, value`

Methods inherited from interface com.sun.java.util.collections.Comparable
`compareTo`

Method Detail

### getCode

    public java.lang.String getCode()

  Get the value of code
  Returns:
    code.

### setCode

    public void setCode(java.lang.String code)

  Set the value of code
  Parameters:
    `codes` - code to be added

### getPostalCodeType

    public java.lang.String getPostalCodeType()

  Get the value of postalCodeType
  Returns:
    postalCodeType.

### setPostalCodeType

    public void setPostalCodeType(java.lang.String postalCodeType)

  Set the value of postalCodeType
  Parameters:
    `postalCodeTypes` - postalCodeType to be added

### location

    public java.lang.String location()
                              throws java.rmi.RemoteException

  Return a string the represents the location associated with the code.

### setLocation

    public void setLocation(java.lang.String location)
                     throws java.rmi.RemoteException

  Set the code based on the location. The caller specifies the location which is looked up and the appropriate value is stored.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.